com.foundationdb.sql.jdbc.geometric

## Class PGpath

- java.lang.Object
- - com.foundationdb.sql.jdbc.util.PGobject
  - - com.foundationdb.sql.jdbc.geometric.PGpath

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PGpath
    extends PGobject
    implements java.io.Serializable, java.lang.Cloneable

This implements a path (a multiple segmented line, which may be closed)

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `open` True if the path is open, false if closed
`PGpoint[]` `points` The points defining this path

### Fields inherited from class com.foundationdb.sql.jdbc.util.PGobject

`type, value`

### Constructor Summary

Constructors
Constructor and Description
`PGpath()` Required by the driver
`PGpath(PGpoint[] points, boolean open)`
`PGpath(java.lang.String s)`

### Method Summary

Methods
`java.lang.Object` `clone()` This must be overidden to allow the object to be cloned
`void` `closePath()`
`boolean` `equals(java.lang.Object obj)` This must be overidden to allow comparisons of objects
`java.lang.String` `getValue()` This returns the path in the syntax expected by org.postgresql
`int` `hashCode()`
`boolean` `isClosed()`
`boolean` `isOpen()`
`void` `openPath()`
`void` `setValue(java.lang.String s)` This method sets the value of this object.

### Methods inherited from class com.foundationdb.sql.jdbc.util.PGobject

`getType, setType, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### open

    public boolean open

True if the path is open, false if closed

#### points

    public PGpoint[] points

The points defining this path

### Constructor Detail

#### PGpath

    public PGpath(PGpoint[] points,
          boolean open)

Parameters:
  `points` - the PGpoints that define the path
  `open` - True if the path is open, false if closed

#### PGpath

    public PGpath()

Required by the driver

#### PGpath

    public PGpath(java.lang.String s)
           throws java.sql.SQLException

Parameters:
  `s` - definition of the path in PostgreSQL's syntax.
Throws:
  `java.sql.SQLException` - on conversion failure

### Method Detail

#### setValue

    public void setValue(java.lang.String s)
                  throws java.sql.SQLException

Description copied from class: `PGobject`
This method sets the value of this object. It must be overidden.

Overrides:
  `setValue` in class `PGobject`
Parameters:
  `s` - Definition of the path in PostgreSQL's syntax
Throws:
  `java.sql.SQLException` - on conversion failure

#### equals

    public boolean equals(java.lang.Object obj)

Description copied from class: `PGobject`
This must be overidden to allow comparisons of objects

Overrides:
  `equals` in class `PGobject`
Parameters:
  `obj` - Object to compare with
Returns:
  true if the two paths are identical

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from class: `PGobject`
This must be overidden to allow the object to be cloned

Overrides:
  `clone` in class `PGobject`
Throws:
  `java.lang.CloneNotSupportedException`

#### getValue

    public java.lang.String getValue()

This returns the path in the syntax expected by org.postgresql

Overrides:
  `getValue` in class `PGobject`
Returns:
  the value of this object

#### isOpen

    public boolean isOpen()

#### isClosed

    public boolean isClosed()

#### closePath

    public void closePath()

#### openPath

    public void openPath()